Bug 1270630 - (valabind-unretire) Review Request: valabind - Transform vala or vapi files into swig, C++, NodeJS-ffi, or GIR - Unretiring
Review Request: valabind - Transform vala or vapi files into swig, C++, NodeJ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: sdb
  Show dependency treegraph
 
Reported: 2015-10-11 21:48 EDT by Michal Ambroz
Modified: 2016-04-30 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2015-10-11 21:48:17 EDT
Spec URL: https://rebus.fedorapeople.org/SPECS/valabind.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/valabind-0.9.2-1.fc21.src.rpm
Fedora Account System Username: rebus
Description: 
Valabind is a tool to parse vala[1] or vapi files to transform them
into swig[2] interface files, C++, NodeJS-ffi or GIR.  With swig, you
can create language bindings for any API written in vala or C with a
vapi interface.  It can also generate bindings for C++.


Hello, 
this is package review request as following the unetiring policy:
https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

With the current release of valabind 0.9.2 it seems to build nicely with recent vala a in rawhide and recent versions of Fedora, so I would like to unretire the package and become owner of this orphaned package.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=11410814


Best regards
Michal Ambroz
Comment 1 Michal Ambroz 2015-10-17 18:28:41 EDT
Comments from the devel list:
From: gil <puntogil@libero.it>
Hi

1) maybe you should open a bug for review the package ... ?
2) you must use %license macro for LICENSE text file
3) maybe you could remove %{!?_pkgdocdir: %global  %{_docdir}/%{name}-%{version}}
    i do not understand why _pkgdocdir is versioned
4) you could remove also "Group:          Applications/Engineering" is no more required

regards
gil
Comment 2 Michal Ambroz 2015-10-17 18:29:06 EDT
Hi gil,
>1) maybe you should open a bug for review the package ... ?
Yes I did already ... https://bugzilla.redhat.com/show_bug.cgi?id=1270630
You know - chicken egg problem - the procedure says first announce on devel list, then create the review request.

>2) you must use %license macro for LICENSE text file
will do - thanks

>    i do not understand why _pkgdocdir is versioned
Plan is to get radare2 to fedora. I believe the original packager of valabind thought of keeping possibility to simultaneously install multiple versions of radare. The upstream is definitely preparing and using this possibility.
So far I decided to keep the functionality for compatibility with the previous package.

>4) you could remove also "Group:          Applications/Engineering" is no more required
Yes I know it is optional now, but I would like to keep it for compatibility with EPEL, where the valabind package was not orphaned.
See https://admin.fedoraproject.org/pkgdb/package/valabind/

Best regards
Michal Ambroz
Comment 3 gil cattaneo 2015-10-17 22:09:05 EDT
if you want i can take this review
regards
Comment 4 Michal Ambroz 2015-10-18 15:33:09 EDT
Thank you Gil, that would be nice.

Updated SPEC and SRPM:
Spec URL: https://rebus.fedorapeople.org/SPECS/valabind.spec
SRPM URL: https://rebus.fedorapeople.org/SRPMS/valabind-0.9.2-2.fc21.src.rpm

$ rpmlint valabind.spec valabind-0.9.2-2.fc21.src.rpm valabind-0.9.2-2.fc21.x86_64.rpm valabind-debuginfo-0.9.2-2.fc21.x86_64.rpm
valabind.src: W: spelling-error Summary(en_US) vala -> lava, val, vale
valabind.src: W: spelling-error Summary(en_US) vapi -> vapid
valabind.src: W: spelling-error %description -l en_US vala -> lava, val, vale
valabind.src: W: spelling-error %description -l en_US vapi -> vapid
valabind.x86_64: W: spelling-error Summary(en_US) vala -> lava, val, vale
valabind.x86_64: W: spelling-error Summary(en_US) vapi -> vapid
valabind.x86_64: W: spelling-error %description -l en_US vala -> lava, val, vale
valabind.x86_64: W: spelling-error %description -l en_US vapi -> vapid
3 packages and 1 specfiles checked; 0 errors, 8 warnings.

Best regards
Michal Ambroz
Comment 5 gil cattaneo 2015-10-18 16:43:25 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://admin.fedoraproject.org/pkgdb/acls/name/valabind
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names
 IGNORE

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 23 files have unknown license. Detailed
     output of licensecheck in /home/gil/1270630-valabind/licensecheck.txt
 
Unknown or generated
--------------------
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/foo.vapi
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/java/AsmExample.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/java/RAsm.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/java/RAsmCode.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/python/example.py
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.cs
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.pl
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.py
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.rb
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/vala/test.cxx
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/vala/test.py
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/vala/vstest.vala

Copyleft 2009-2012 -- pancake // nopcode.org
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/cxxwriter.vala
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/girwriter.vala
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/valabindwriter.vala

Copyleft 2014 -- williballenthin
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/gowriter.vala

Copyleft 2012-2014 -- pancake, eddyb, ritesh
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/nodeffiwriter.vala

Copyleft 2009-2015 -- pancake, ritesh
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/utils.vala

Copyleft 2015 -- pancake
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/windows.c
 
[x]: %build honors applicable compiler flags or justifies otherwise.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: valabind-0.9.2-2.fc24.i686.rpm
          valabind-0.9.2-2.fc24.src.rpm
valabind.i686: W: spelling-error Summary(en_US) vala -> lava, val, vale
valabind.i686: W: spelling-error Summary(en_US) vapi -> vapid
valabind.i686: W: spelling-error %description -l en_US vala -> lava, val, vale
valabind.i686: W: spelling-error %description -l en_US vapi -> vapid
valabind.src: W: spelling-error Summary(en_US) vala -> lava, val, vale
valabind.src: W: spelling-error Summary(en_US) vapi -> vapid
valabind.src: W: spelling-error %description -l en_US vala -> lava, val, vale
valabind.src: W: spelling-error %description -l en_US vapi -> vapid
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: valabind-debuginfo-0.9.2-2.fc24.i686.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: File o directory non esistente
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
valabind (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libvala-0.30.so.0
    rtld(GNU_HASH)



Provides
--------
valabind:
    valabind
    valabind(x86-32)



Source checksums
----------------
https://github.com/radare/valabind/archive/cd4051f6a7f63b297f3950c11a30f468351cbd69/valabind-0.9.2-cd4051f.tar.gz :
  CHECKSUM(SHA256) this package     : b98700c32ede43a6fdb72319402ba530b24d5e1cfa299f25c6547a5706689481
  CHECKSUM(SHA256) upstream package : b98700c32ede43a6fdb72319402ba530b24d5e1cfa299f25c6547a5706689481


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1270630 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 6 gil cattaneo 2015-10-18 16:49:23 EDT
NON blocking issues:

[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 23 files have unknown license. Detailed
     output of licensecheck in /home/gil/1270630-valabind/licensecheck.txt
 
Unknown or generated
--------------------
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/foo.vapi
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/java/AsmExample.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/java/RAsm.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/java/RAsmCode.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/python/example.py
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.cs
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.java
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.pl
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.py
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/r2/test.rb
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/vala/test.cxx
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/vala/test.py
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/t/vala/vstest.vala

Copyleft 2009-2012 -- pancake // nopcode.org
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/cxxwriter.vala
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/girwriter.vala
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/valabindwriter.vala

Copyleft 2014 -- williballenthin
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/gowriter.vala

Copyleft 2012-2014 -- pancake, eddyb, ritesh
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/nodeffiwriter.vala

Copyleft 2009-2015 -- pancake, ritesh
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/utils.vala

Copyleft 2015 -- pancake
valabind-cd4051f6a7f63b297f3950c11a30f468351cbd69/windows.c

Please, ask to upstream to confirm the licensing of code and/or content/s
and to include, where in the file is missing, the header of the license

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
Comment 7 Michal Ambroz 2015-10-18 17:43:31 EDT
Hello Gil,
thanks for the review.

I believe that referenced Licensing guideline is meant for upstream packages without any license text attached to the distributed source code.

I believe the licensing for valabind is clear. There is LICENSE (GPLv3) in the upstream package release. Files you mention are either not explicitly tagged (package license applies) or tagged with the "Copyleft", which is just another way how to reference the package's LICENSE .

I have created feature request in the upstream issue list, but I believe this should not be blocking the review of the package.

Upstream issue report: https://github.com/radare/valabind/issues/33

Best regards
Michal Ambroz
Comment 8 gil cattaneo 2015-10-18 17:52:21 EDT
approved
Comment 9 gil cattaneo 2015-10-18 17:55:15 EDT
have time for this https://bugzilla.redhat.com/show_bug.cgi?id=1265992 ?
Comment 10 Michal Ambroz 2015-10-19 08:53:32 EDT
Package Change Request
======================
Package Name: valabind
New Branches: devel f21 f22 f23 el6 epel7
Owners: rebus brouhaha
InitialCC: 

Hello SCM team, please can you unretire this package?
I would like to unretire branches devel, f21 and create branches for f22, f23.
The el6, epel7 is still living I believe, I just need to be granted rights there.

Best regards
Michal Ambroz
Comment 11 Gwyn Ciesla 2015-10-19 12:13:22 EDT
This SCM request method has been deprecated. Please see https://fedoraproject.org/wiki/PackageDB_admin_requests.
Comment 12 Michal Ambroz 2015-10-19 15:10:07 EDT
https://fedorahosted.org/rel-eng/ticket/6278
Comment 13 Fedora Update System 2015-10-22 11:06:16 EDT
valabind-0.9.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-907a450cc0
Comment 14 Fedora Update System 2015-10-22 11:06:16 EDT
valabind-0.9.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c119fe445c
Comment 15 Fedora Update System 2015-10-22 11:06:28 EDT
valabind-0.9.2-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-978c277143
Comment 16 Fedora Update System 2015-10-24 08:07:22 EDT
valabind-0.9.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-907a450cc0
Comment 17 Fedora Update System 2015-10-26 06:27:06 EDT
valabind-0.9.2-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-978c277143
Comment 18 Fedora Update System 2015-10-26 14:28:38 EDT
valabind-0.9.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update valabind'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c119fe445c
Comment 19 Fedora Update System 2015-10-31 22:30:01 EDT
valabind-0.9.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-04-30 20:23:23 EDT
valabind-0.9.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.